<?php
class CufdModel extends Query{
    private $cufdCodigo,$cufdCodigoControl,$cufdFechaSolicitud,$cufdFechaVigencia,$id_puntoventa;
    public function __construct()
    {
        parent::__construct();
        
    }

    public function insertCufd(string $cufdCodigo,string $cufdCodigoControl,string $cufdFechaSolicitud,string $cufdFechaVigencia,int $id_puntoventa)
    {
        $this->cufdCodigo = $cufdCodigo;
        $this->cufdCodigoControl = $cufdCodigoControl;
        $this->cufdFechaSolicitud = $cufdFechaSolicitud;
        $this->cufdFechaVigencia = $cufdFechaVigencia;
        $this->id_puntoventa = $id_puntoventa;
        $sql = "insert into cufd (codigo,codigoControl,fechaSolicitud,fechaVigencia,id_puntoventa) values (?,?,?,?,?)";
        $datos = array($this->cufdCodigo,$this->cufdCodigoControl,$this->cufdFechaSolicitud,$this->cufdFechaVigencia,$this->id_puntoventa);
        $data=$this->save($sql,$datos);
        if($data == 1){
            $res = "ok";
        }else{
            $res = "error";
        }
        return $res;
    }
    public function getCufd($id_puntoventa)
    {
        $sql = "select * from cufd where id_puntoventa=$id_puntoventa ORDER BY fechaSolicitud DESC
        LIMIT 1;";
        $data = $this->select($sql);
        return $data;
    }

    public function getCufds($id_puntoventa)
    {
        $sql = "select * from cufd where id_puntoventa=$id_puntoventa ORDER BY fechaSolicitud DESC";
        $data = $this->selectAll($sql);
        return $data;
    }

}
?>